rm(list=ls()) 
setwd("C:/Users/Julia/Desktop/CBQs")
library(tidyverse)
library (ggplot2)
library(tidyverse)
library(tidyr)
require(tidyr)
require(readxl)
require(tidyverse)
library(readr)
library(tidyverse)
library(readxl)
require(tibble)
require(lubridate)
library(nortest)
library(moments)
library(car)
library(psych)
#Charging database
datos <- read.csv(file ="BDnov23.csv", header=TRUE, sep= ",",
                  fileEncoding = "utf-8")

#checking database
str(datos)
nrow(datos)
ncol(datos)
names(datos)
is.na(datos)
sum(is.na(datos))

#1.a.
#Checking NA in the dependent variable
sum(is.na(datos$PUNTD3))
#Descriptive statistics of the dependent variable PUNTD3
mean(datos$PUNTD3)
median(datos$PUNTD3)
min(datos$PUNTD3)
max(datos$PUNTD3)
sd(datos$PUNTD3)

#function to calculate std error
std <- function(x){
  sd(x)/sqrt(length(x))}

std(datos$PUNTD3)

#1.b.
#FRECUENCIAS de cada variable
tablaa <-as.data.frame(table (datos$EDADSALA))

tablab <-as.data.frame(table (datos$GENERO))

tablac <-as.data.frame(table (datos$GRECO))

#Tabla con todas las frecuencias unificadas
tabla1 <-as.data.frame(table (datos$EDADSALA, datos$GENERO, datos$GRECO))
write.csv(tabla1, "Tabla1.csv")
a<-transform(tabla1,
             FrecAc=cumsum(tabla1$Freq),
             Rel=round(prop.table(tabla1$Freq),2),
             RelaAc=round(cumsum(prop.table(tabla1$Freq)),2))
write.csv(a, "Tabla1.csv")

#2.ANALISIS DE NORMALIDAD
#HISTOGRAMA MATRICES

hist(datos$PUNTD3,
     main="MATRIX TOTAL SCORE HISTOGRAM",
     xlab = "Observaciones", ylab = "Frecuencia",
     col = c("violet"))
#NO PUDE AGREGAR UNA CURVA NORMAL
#x<- datos$PUNTD3
#curve(dnorm(x, mean = 12.4, sd=4.24),0,25, col=2, lwd=2, add=TRUE)

#QQgraphs
qqnorm(datos$PUNTD3,
     main="MATRIX TOTAL SCORE QQ PLOT")
qqline(datos$PUNTD3,
       main="MATRIX TOTAL SCORE QQ LINE")

#Shapiro test
shapiro.test(datos$PUNTD3)

#ks
ks.test(datos$PUNTD3, "pnorm", mean=mean(datos$PUNTD3, sd=sd(datos$PUNTD3)))

#Anderson Darling test
ad.test(datos$PUNTD3)

#Kurtosis and assimetry
kurtosis(datos$PUNTD3)
skewness(datos$PUNTD3)

#Levene AGE
leveneTest(y = datos$PUNTD3, group = datos$EDADSALA, center = "median")
leveneTest(y = datos$PUNTD3, group = datos$EDADSALA, center = "mean")

#Levene GENDER

leveneTest(y = datos$PUNTD3, group = datos$GENERO, center = "median")
leveneTest(y = datos$PUNTD3, group = datos$GENERO, center = "mean")

#Levene ECONOMIC GROUP (SACAR ESTO PARA VERSION FINAL)

leveneTest(y = datos$PUNTD3, group = datos$GRECO, center = "median")
leveneTest(y = datos$PUNTD3, group = datos$GRECO, center = "mean")


#3. GIVEN THE SMALL SAMPLE SIZE WE WILL ANALIZE WETHER THE DEPENDENT VARIABLE
#VARIES BY EACH INDEPENDENT VARIABLE. ONLY IV INFLUENCING DV WILL BE INCLUDED 
#IN SUBSEQUENT ANALYSES

#AGE: SIG DIFFERENCES
#checking NA in IV age
sum(is.na(datos$EDADSALA))
#making age a factor
as.factor(datos$EDADSALA)
#ANOVA: MATRIX TOTAL SCORE BY edad sala
anova <- aov(datos$PUNTD3 ~ datos$EDADSALA)
summary(anova)
eta_cuadrado_age <- 122.8/(122.8 + 1387.6)
eta_cuadrado_age
ggplot(data = datos, aes(x = as.factor(EDADSALA), y = PUNTD3, color = as.factor(EDADSALA))) +
  geom_boxplot() +
  theme_bw()+
  xlab("EDAD SALA") +
  ylab("Matrix total score") 

#GENDER: NON SIGNIFICANT DIFFERENCES
#checking NA in IV gender
sum(is.na(datos$GENERO))
#making gender a factor
as.factor(datos$GENERO)
#ANOVA: MATRIX TOTAL SCORE BY gender
anova <- aov(datos$PUNTD3 ~ datos$GENERO)
summary(anova)
eta_cuadrado_gender <- 9.6/(9.6 + 1500.8)
eta_cuadrado_gender
ggplot(data = datos, aes(x = as.factor(GENERO), y = PUNTD3, color = as.factor(GENERO))) +
  geom_boxplot() +
  theme_bw()+
  xlab("Gender") +
  ylab("Matrix total score") 


#ECONOMIC GROUP: NO SIGNIFICANT DIFFERENCES
#checking NA in IV economic group
sum(is.na(datos$GRECO))
#making economic group a factor
as.factor(datos$GRECO)
#ANOVA: MATRIX TOTAL SCORE BY ECONOMIC GROUP
anova <- aov(datos$PUNTD3 ~ datos$GRECO)
summary(anova)
eta_cuadrado_ses <- 7.9/(7.9 + 1502.5)
eta_cuadrado_ses
ggplot(data = datos, aes(x = as.factor(GRECO), y = PUNTD3, color = as.factor(GRECO))) +
  geom_boxplot() +
  theme_bw()+
  xlab("Grupo económico") +
  ylab("Matrix total score") 

#CBQ RELIABILITY ANALYSES (INTERNAL CONSISTENCY)

#DOCENTES SURGENCY
#armo una nueva base solo con los ITEMES DEL CBQ DOCENTES PARA SURGENCY (SACO 
#LAS DEMÁS COLUMNAS Y LOS ITEMS QUE NO FUERON ADMINISTRADOS A DOCENTES)

CBQDS <- read.csv(file ="BDnov23.csv", header=TRUE, sep= ",",
                  fileEncoding = "utf-8")
names(CBQDS)

CBQDS[c("CASO","ESTUPAD","ESTUMAD","ESPADRES","OCUPADRE","OCUMADRE","OCPADRES",  
"PJEVIV","PJEHACIN","NESTOTAL","EDADABS3","GENERO","SALA2010","EDADSALA",
"FECNAC","FECTOMA","EDADTOMA","EDADABS","GRECO","INDNBI","SURGENCY","NEGAFF",
"EFFCON","PFECTOMA","PEDADTOMA","PEDADABS","PS1","PN2","PE3","PS4","PN5",
"PE6","PS7","PN8","PE9","PS10","PN11","PE12","PS13I","PN14","PE15","PS16",     
"PN17","PE18","PS19I","PN20I","PE21","PS22I","PN23","PE24","PS25","PN26I", 
"PE27","PS28","PN29I","PE30","PS31","PN32","PE33","PS34I","PN35","PE36",
"PSURGENCY","PNEGAFF","PEFFCON","FEC3","EDCO3","EDADABS3.1","PRETEST3",
"PUNTD3","ERRORES3", "ADMIN3","PROPCO3","N2","E3","N5","E6","N8","E9","N11",
"E12","N14","E15","N17","E18","N20I","E21","N23","E24","N26I","E27","N29I",
"E30","N32","E33","N35","E36", "S16", "S25")] <- NULL

names(CBQDS)

#DEJO LA BASE DE CBQ DOCENTES SURGENCY LISTA PARA CALCULAR ALPHA
alfaCBQDS <- alpha(CBQDS)
alfaCBQDS

#decido sacar item S13I y ver:

CBQDS_sin_S13I <- CBQDS
CBQDS_sin_S13I["S13I"] <- NULL
alfa_sin_S13I <- alpha(CBQDS_sin_S13I)
alfa_sin_S13I

#decido sacar (ademas del item S13I), el item S31I y ver:

CBQDS_sin_S13I_niS31I <- CBQDS_sin_S13I 
CBQDS_sin_S13I_niS31I["S31I"] <- NULL
alfa_sin_S13I_niS31I<- alpha(CBQDS_sin_S13I_niS31I)
alfa_sin_S13I_niS31I

#sacando item S13I y S31I llego a confiabilidad mediana con alpha y buena con 
#Lambda 6 de gutman. Pruebo de sacar un item mas para mejorar

CBQDS_sin_S13I_niS31I_niS19I<-CBQDS_sin_S13I_niS31I
CBQDS_sin_S13I_niS31I["S19I"] <- NULL
alfa_sin_S13I_niS31I_niS19I<- alpha(CBQDS_sin_S13I_niS31I)
alfa_sin_S13I_niS31I_niS19I

#la prueba alcanza una buena confiabilidad sacando los itemes S13I, S31I y S19I

#TEACHERS REPORTS ON NEGATIVE AFFECT: RELIABILITY
#ARMO BASE DOCENTES NEGATVE AFFECT
CBQDN <- read.csv(file ="BDnov23.csv", header=TRUE, sep= ",",
                  fileEncoding = "utf-8")
names(CBQDN)

CBQDN[c("CASO","ESTUPAD","ESTUMAD","ESPADRES","OCUPADRE","OCUMADRE","OCPADRES",  
        "PJEVIV","PJEHACIN","NESTOTAL","EDADABS3","GENERO","SALA2010","EDADSALA",
        "FECNAC","FECTOMA","EDADTOMA","EDADABS","GRECO","INDNBI","SURGENCY","NEGAFF",
        "EFFCON","PFECTOMA","PEDADTOMA","PEDADABS","PS1","PN2","PE3","PS4","PN5",
        "PE6","PS7","PN8","PE9","PS10","PN11","PE12","PS13I","PN14","PE15","PS16",     
        "PN17","PE18","PS19I","PN20I","PE21","PS22I","PN23","PE24","PS25","PN26I", 
        "PE27","PS28","PN29I","PE30","PS31","PN32","PE33","PS34I","PN35","PE36",
        "PSURGENCY","PNEGAFF","PEFFCON","FEC3","EDCO3","EDADABS3.1","PRETEST3",
        "PUNTD3","ERRORES3", "ADMIN3","PROPCO3","S1","E3","S4","E6","S7","E9",
        "S10","E12","S13I","E15","S16","E18","S19I","E21","S22I","E24","S25",
        "E27","S28","E30","S31I","E33","S34I","E36", "N8", "N26I","N35")] <- NULL

names(CBQDN)

#CALCULO ALFA
alfaCBQDN <- alpha(CBQDN)
alfaCBQDN

#SACO N5

CBQDN_sin_N5 <- CBQDN
CBQDN_sin_N5["N5"] <- NULL
alfa_sin_N5 <- alpha(CBQDN_sin_N5)
alfa_sin_N5

#SACO EL n5 Y ADEMAS EL n2

CBQDN_sin_N5_niN2<-CBQDN_sin_N5
CBQDN_sin_N5_niN2["N2"] <- NULL
alfa_sin_N5_niN2<- alpha(CBQDN_sin_N5_niN2)
alfa_sin_N5_niN2

#SACO EL n5, EL n2 Y EL N32

CBQDN_sin_N5_niN2_niN32<-CBQDN_sin_N5_niN2
CBQDN_sin_N5_niN2_niN32["N32"] <- NULL
alfa_sin_N5_niN2_niN32<- alpha(CBQDN_sin_N5_niN2_niN32)
alfa_sin_N5_niN2_niN32

#sacando los item N5, N2 y N32 se alcanza buena confiabilidad

#EFFORTFUL CONTROL TEACHERS

CBQDE <- read.csv(file ="BDnov23.csv", header=TRUE, sep= ",",
                  fileEncoding = "utf-8")
names(CBQDE)

CBQDE[c("CASO","ESTUPAD","ESTUMAD","ESPADRES","OCUPADRE","OCUMADRE","OCPADRES",  
        "PJEVIV","PJEHACIN","NESTOTAL","EDADABS3","GENERO","SALA2010","EDADSALA",
        "FECNAC","FECTOMA","EDADTOMA","EDADABS","GRECO","INDNBI","SURGENCY","NEGAFF",
        "EFFCON","PFECTOMA","PEDADTOMA","PEDADABS","PS1","PN2","PE3","PS4","PN5",
        "PE6","PS7","PN8","PE9","PS10","PN11","PE12","PS13I","PN14","PE15","PS16",     
        "PN17","PE18","PS19I","PN20I","PE21","PS22I","PN23","PE24","PS25","PN26I", 
        "PE27","PS28","PN29I","PE30","PS31","PN32","PE33","PS34I","PN35","PE36",
        "PSURGENCY","PNEGAFF","PEFFCON","FEC3","EDCO3","EDADABS3.1","PRETEST3",
        "PUNTD3","ERRORES3", "ADMIN3","PROPCO3", "S1","N2","S4","N5","S7","N8",
        "S10","N11","S13I","N14","S16","N17","S19I","N20I","S22I","N23","S25",
        "N26I","S28","N29I","S31I","N32","S34I","N35", "E6", "E12", "E24", 
        "E36")] <- NULL

names(CBQDE)

#CALCULO ALFA
alfaCBQDE <- alpha(CBQDE)
alfaCBQDE

#la esacala de effortful control para docentes tiene adecuada confiabilidad

#PARENTS' REPORTS CONFIABILITY
#surgency parents

CBQPS <- read.csv(file ="BDnov23.csv", header=TRUE, sep= ",",
                  fileEncoding = "utf-8")
names(CBQPS)

CBQPS[c("CASO","ESTUPAD","ESTUMAD","ESPADRES","OCUPADRE","OCUMADRE","OCPADRES",  
        "PJEVIV","PJEHACIN","NESTOTAL","EDADABS3","GENERO","SALA2010","EDADSALA",
        "FECNAC","FECTOMA","EDADTOMA","EDADABS","GRECO","INDNBI","SURGENCY",
        "NEGAFF","EFFCON","S1","N2","E3","S4","N5","E6","S7","N8","E9","S10",
        "N11","E12","S13I","N14","E15","S16","N17","E18","S19I","N20I","E21",
        "S22I","N23","E24","S25","N26I","E27","S28","N29I","E30","S31I","N32",
        "E33","S34I","N35","E36","PFECTOMA","PEDADTOMA","PEDADABS","PSURGENCY",
        "PNEGAFF","PEFFCON","FEC3","EDCO3","EDADABS3.1","PRETEST3","PUNTD3",
        "ERRORES3","ADMIN3","PROPCO3",
        "PN2","PE3","PN5","PE6","PN8","PE9","PN11","PE12","PN14","PE15","PN17",
        "PE18","PN20I","PE21","PN23","PE24","PN26I","PE27","PN29I","PE30",
        "PN32","PE33","PN35","PE36")] <- NULL

names(CBQPS)

#CALCULO ALFA
alfaCBQPS <- alpha(CBQPS)
alfaCBQPS

#alfa para surgency parents es adecuada

#parents negative affect
CBQPN <- read.csv(file ="BDnov23.csv", header=TRUE, sep= ",",
                  fileEncoding = "utf-8")
names(CBQPN)

CBQPN[c("CASO","ESTUPAD","ESTUMAD","ESPADRES","OCUPADRE","OCUMADRE","OCPADRES",  
        "PJEVIV","PJEHACIN","NESTOTAL","EDADABS3","GENERO","SALA2010","EDADSALA",
        "FECNAC","FECTOMA","EDADTOMA","EDADABS","GRECO","INDNBI","SURGENCY",
        "NEGAFF","EFFCON","S1","N2","E3","S4","N5","E6","S7","N8","E9","S10",
        "N11","E12","S13I","N14","E15","S16","N17","E18","S19I","N20I","E21",
        "S22I","N23","E24","S25","N26I","E27","S28","N29I","E30","S31I","N32",
        "E33","S34I","N35","E36","PFECTOMA","PEDADTOMA","PEDADABS","PSURGENCY",
        "PNEGAFF","PEFFCON","FEC3","EDCO3","EDADABS3.1","PRETEST3","PUNTD3",
        "ERRORES3","ADMIN3","PROPCO3",
        "PS1","PE3","PS4","PE6","PS7","PE9","PS10","PE12","PS13I","PE15",
        "PS16","PE18","PS19I","PE21","PS22I","PE24","PS25","PE27","PS28",
        "PE30","PS31","PE33","PS34I","PE36")] <- NULL

names(CBQPN)

#CALCULO ALFA
alfaCBQPN <- alpha(CBQPN)
alfaCBQPN

#alfa es adecuada para negative affect padres incluso sin sacar itemes


#parents effortful control
CBQPE <- read.csv(file ="BDnov23.csv", header=TRUE, sep= ",",
                  fileEncoding = "utf-8")
names(CBQPE)

CBQPE[c("CASO","ESTUPAD","ESTUMAD","ESPADRES","OCUPADRE","OCUMADRE","OCPADRES",  
        "PJEVIV","PJEHACIN","NESTOTAL","EDADABS3","GENERO","SALA2010","EDADSALA",
        "FECNAC","FECTOMA","EDADTOMA","EDADABS","GRECO","INDNBI","SURGENCY",
        "NEGAFF","EFFCON","S1","N2","E3","S4","N5","E6","S7","N8","E9","S10",
        "N11","E12","S13I","N14","E15","S16","N17","E18","S19I","N20I","E21",
        "S22I","N23","E24","S25","N26I","E27","S28","N29I","E30","S31I","N32",
        "E33","S34I","N35","E36","PFECTOMA","PEDADTOMA","PEDADABS","PSURGENCY",
        "PNEGAFF","PEFFCON","FEC3","EDCO3","EDADABS3.1","PRETEST3","PUNTD3",
        "ERRORES3","ADMIN3","PROPCO3",
        "PS1","PN2","PS4","PN5","PS7","PN8","PS10","PN11","PS13I","PN14","PS16",
        "PN17","PS19I","PN20I","PS22I","PN23","PS25","PN26I","PS28","PN29I",
        "PS31","PN32","PS34I","PN35")] <- NULL

names(CBQPN)

#CALCULO ALFA
alfaCBQPE <- alpha(CBQPE)
alfaCBQPE

#saco item PE18 para ver si mejora

CBQPE_sin_PE18 <- CBQPE
CBQPE_sin_PE18["PE18"] <- NULL
alfa_sin_PE18 <- alpha(CBQPE_sin_PE18)
alfa_sin_PE18

#mejora muy poco y ya prece que no mejora mas, queda con una confiabilidad mediana

#ARMO LA BASE DEFINITIVA, SIN LOS ITEMS QUE SE EXCLUIRÁN NI LAS VARIABLES
#DE SURGENCY, NEG AFF Y EFF CON QUE DEBERAN CALCULARSE NUEVAMENTE

DATOSFINAL<- read.csv(file ="BDnov23.csv", header=TRUE, sep= ",",
            fileEncoding = "utf-8")

names(DATOSFINAL)

DATOSFINAL[c("S13I","S16", "S19I", "S25", 
             "N2", "N5", "N8", "N26I", "N32", "N35",
             "E6","E12", "E24", "E36",
             "PE18",
             "SURGENCY","NEGAFF","EFFCON",
             "PSURGENCY","PNEGAFF","PEFFCON")] <- NULL

#en lo que sigue algo del na.rm no anda asi  asi que lo saco, lo hago en csv 
#y lo vuelvo a cargar


DATOSFINAL1<-DATOSFINAL %>%
 rowwise()%>%
 mutate(SURGENCY = sum(S1,S4,S7,S10,S22I,S28,S31I,S34I, na.rm = TRUE)/8)

DATOSFINAL2<-DATOSFINAL1%>%
 rowwise()%>%
 mutate(NEGAFF = sum(N11,N14,N17,N20I,N23,N29I, na.rm = TRUE)/6)
  
DATOSFINAL3<-DATOSFINAL2%>%
 rowwise()%>%
 mutate(EFFCON= sum(E3,E9,E15,E18,E21,E27,E30,E33, na.rm=TRUE)/8)

DATOSFINAL4<-DATOSFINAL3%>%
  rowwise()%>%
  mutate(PSURGENCY= sum(PS1,PS4,PS7,PS10,PS13I,PS16,PS19I,PS22I,PS25,PS28,PS31I,
                        PS34I, na.rm=TRUE)/12)

DATOSFINAL5<-DATOSFINAL4%>%
  rowwise()%>%
  mutate(PNEGAFF= sum(PN2, PN5, PN8, PN11, PN14, PN17, PN20I, PN23, PN26I, 
                      PN29I, PN32, PN35, na.rm=TRUE)/12)

DATOSFINAL6<-DATOSFINAL5%>%
  rowwise()%>%
  mutate(PEFFCON= sum(PE3,PE6,PE9,PE12,PE15,PE21,PE24,PE27,PE30,PE33,PE36, 
                       na.rm=TRUE)/11)

names(DATOSFINAL3)

DATOSFINAL6$SURGENCY
DATOSFINAL6$NEGAFF
DATOSFINAL6$EFFCON
DATOSFINAL6$PSURGENCY
DATOSFINAL6$PNEGAFF
DATOSFINAL6$PEFFCON

#ANALISIS DESCRPITIVOS DE LAS VARIABLES DEL CBQ

#Descriptive statistics of SURGENCY TEACHERS
#Checking NA 
sum(is.na(DATOSFINAL6$SURGENCY))
#Descriptive statistics
mean(DATOSFINAL6$SURGENCY)
median(DATOSFINAL6$SURGENCY)
min(DATOSFINAL6$SURGENCY)
max(DATOSFINAL6$SURGENCY)
sd(DATOSFINAL6$SURGENCY)

#function to calculate std error
std <- function(x){
  sd(x)/sqrt(length(x))}

std(DATOSFINAL6$SURGENCY)

#Descriptive statistics of NEGATOVE AFFECT TEACHERS
#Checking NA 
sum(is.na(DATOSFINAL6$NEGAFF))
#Descriptive statistics
mean(DATOSFINAL6$NEGAFF)
median(DATOSFINAL6$NEGAFF)
min(DATOSFINAL6$NEGAFF)
max(DATOSFINAL6$NEGAFF)
sd(DATOSFINAL6$NEGAFF)

#function to calculate std error
std <- function(x){
  sd(x)/sqrt(length(x))}

std(DATOSFINAL6$NEGAFF)


#Descriptive statistics of EFFCON
#Checking NA 
sum(is.na(DATOSFINAL6$EFFCON))
#Descriptive statistics
mean(DATOSFINAL6$EFFCON)
median(DATOSFINAL6$EFFCON)
min(DATOSFINAL6$EFFCON)
max(DATOSFINAL6$EFFCON)
sd(DATOSFINAL6$EFFCON)

#function to calculate std error
std <- function(x){
  sd(x)/sqrt(length(x))}

std(DATOSFINAL6$EFFCON)

#Descriptive statistics of SURGENCY PARENTS
#Checking NA 
sum(is.na(DATOSFINAL6$PSURGENCY))
#Descriptive statistics
mean(DATOSFINAL6$PSURGENCY)
median(DATOSFINAL6$PSURGENCY)
min(DATOSFINAL6$PSURGENCY)
max(DATOSFINAL6$PSURGENCY)
sd(DATOSFINAL6$PSURGENCY)

#function to calculate std error
std <- function(x){
  sd(x)/sqrt(length(x))}

std(DATOSFINAL6$PSURGENCY)

#Descriptive statistics of NEG AFF PARENTS
#Checking NA 
sum(is.na(DATOSFINAL6$PNEGAFF))
#Descriptive statistics
mean(DATOSFINAL6$PNEGAFF)
median(DATOSFINAL6$PNEGAFF)
min(DATOSFINAL6$PNEGAFF)
max(DATOSFINAL6$PNEGAFF)
sd(DATOSFINAL6$PNEGAFF)

#function to calculate std error
std <- function(x){
  sd(x)/sqrt(length(x))}

std(DATOSFINAL6$PNEGAFF)


#Descriptive statistics of EFFCON PARENTS
#Checking NA 
sum(is.na(DATOSFINAL6$PEFFCON))
#Descriptive statistics
mean(DATOSFINAL6$PEFFCON)
median(DATOSFINAL6$PEFFCON)
min(DATOSFINAL6$PEFFCON)
max(DATOSFINAL6$PEFFCON)
sd(DATOSFINAL6$PEFFCON)

#function to calculate std error
std <- function(x){
  sd(x)/sqrt(length(x))}

std(DATOSFINAL6$PEFFCON)

#ANALISIS DE CORRELACION
cor(DATOSFINAL6[, c("SURGENCY","NEGAFF", "EFFCON", "PSURGENCY", "PNEGAFF", 
                    "PEFFCON")])

correlacion<- DATOSFINAL6[c("SURGENCY","NEGAFF", "EFFCON", "PSURGENCY", "PNEGAFF", 
                           "PEFFCON")]
pairs.panels(correlacion)

install.packages("PerformanceAnalytics")
library(PerformanceAnalytics)

chart.Correlation(correlacion)


#NORMALIDAD VARIABLES CBQ PADRES Y DOCENTES PARA T TEST

    #HISTOGRAMA DOCENTES SURGENCY
hist(DATOSFINAL6$SURGENCY,
     main="DOCENTES SURGENCY",
     xlab = "Observaciones", ylab = "Frecuencia",
     col = c("blue"))

#Shapiro test
shapiro.test(DATOSFINAL6$SURGENCY)

#HISTOGRAMA DOCENTES NEGATIVE AFFECT
hist(DATOSFINAL6$NEGAFF,
     main="DOCENTES NEGATIVE AFFECT",
     xlab = "Observaciones", ylab = "Frecuencia",
     col = c("blue"))

#Shapiro test
shapiro.test(DATOSFINAL6$NEGAFF)

#HISTOGRAMA DOCENTES EFFORTFUL CONTROL
hist(DATOSFINAL6$EFFCON,
     main="DOCENTES EFFORTFUL CONTROL",
     xlab = "Observaciones", ylab = "Frecuencia",
     col = c("blue"))

#Shapiro test
shapiro.test(DATOSFINAL6$EFFCON)

#HISTOGRAMA PADRES SURGENCY
hist(DATOSFINAL6$PSURGENCY,
     main="PADRES SURGENCY",
     xlab = "Observaciones", ylab = "Frecuencia",
     col = c("green"))

#Shapiro test
shapiro.test(DATOSFINAL6$PSURGENCY)

#HISTOGRAMA PADRES NEGATIVE AFFECT
hist(DATOSFINAL6$PNEGAFF,
     main="PADRES NEGATIVE AFFECT",
     xlab = "Observaciones", ylab = "Frecuencia",
     col = c("green"))

#Shapiro test
shapiro.test(DATOSFINAL6$PNEGAFF)

#HISTOGRAMA PADRES EFFORTFUL CONTROL
hist(DATOSFINAL6$PEFFCON,
     main="PADRES EFFORTFUL CONTROL",
     xlab = "Observaciones", ylab = "Frecuencia",
     col = c("green"))


#Shapiro test
shapiro.test(DATOSFINAL6$PEFFCON)

#no hay normalidad por lo que se define usar analisis no parametricos para la hipotesis 1

#POWER CALCULATION HIPOTHESIS 1
install.packages("wmwpow")
library(wmwpow)
shiehpow(n = 85, m = 85, p = 0.20, alpha = 0.05, dist = "norm", sides = "two.sided")


